# Generate Video from Document POST /api/v1/gtm/video/generate/ Content-Type: application/json Generate a video using Google Veo API from a document's summary. The video will be generated asynchronously and you can check the status using the video ID. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/gtm-studio-video-generation/gtm-video-generate-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/gtm/video/generate/: post: operationId: gtm-video-generate-create summary: Generate Video from Document description: >- Generate a video using Google Veo API from a document's summary. The video will be generated asynchronously and you can check the status using the video ID. tags: - subpackage_gtmStudioVideoGeneration responses: '201': description: Video generation started content: application/json: schema: $ref: >- #/components/schemas/GTM Studio - Video Generation_gtm_video_generate_create_Response_201 '400': description: Invalid request content: application/json: schema: description: Any type '404': description: Document or Studio not found content: application/json: schema: description: Any type '503': description: Service unavailable content: application/json: schema: description: Any type requestBody: content: application/json: schema: type: object properties: studio_uid: type: - string - 'null' description: Optional UID of the AI Studio this video belongs to document_id: type: integer description: ID of the document to generate video from summary_id: type: - integer - 'null' description: Optional specific summary chunk to use prompt: type: - string - 'null' description: Optional custom prompt override negative_prompt: type: - string - 'null' description: Elements to exclude from video required: - document_id components: schemas: GTM Studio - Video Generation_gtm_video_generate_create_Response_201: type: object properties: {} description: Empty response body title: GTM Studio - Video Generation_gtm_video_generate_create_Response_201 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/gtm/video/generate/" payload = { "document_id": 12345 } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/gtm/video/generate/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"document_id":12345}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/gtm/video/generate/" payload := strings.NewReader("{\n \"document_id\": 12345\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/gtm/video/generate/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"document_id\": 12345\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/gtm/video/generate/") .header("Content-Type", "application/json") .body("{\n \"document_id\": 12345\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/gtm/video/generate/', [ 'body' => '{ "document_id": 12345 }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/gtm/video/generate/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"document_id\": 12345\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["document_id": 12345] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/gtm/video/generate/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```